Return deployed contract data by id
Return deployed contract data by id
GET
/
tokenization
/
contracts
/
{id}
TypeScript
const response: Promise<FireblocksResponse<DeployedContractResponseDto>> = fireblocks.deployedContracts.getDeployedContractById(deployedContractsApiGetDeployedContractByIdRequest);CompletableFuture<ApiResponse<DeployedContractResponseDto>> response = fireblocks.deployedContracts().getDeployedContractById(id);response = fireblocks.deployed_contracts.get_deployed_contract_by_id(id);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/contracts/{id}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/contracts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
"contractTemplateId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"blockchainId": "<string>",
"vaultAccountId": "0",
"baseAssetId": "ETH_TEST5",
"gaslessConfig": {
"gaslessStandardConfigurations": {}
},
"multichainDeploymentMetadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"templateId": "0e4f5a3b-924e-7bb9-8e5b-c748270feb38",
"deploymentSalt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"initParams": [
{
"name": "_name",
"type": "string",
"description": "The name of the token",
"internalType": "string",
"components": [
{
"name": "_name",
"type": "string",
"description": "The name of the token",
"internalType": "string",
"components": "<array>"
}
],
"value": "true",
"functionValue": {
"inputs": "<array>",
"name": "initialize",
"outputs": "<array>",
"stateMutability": "nonpayable"
}
}
],
"encodedInitParams": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
},
"solanaConfig": {
"extensions": [
"metadataPointer",
"transferHook"
],
"type": "TOKEN2022"
}
}{
"message": "<string>",
"code": 123
}Path Parameters
The deployed contract data identifier
Response
The deployed contract data identifier
Example:
"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"
The contract's onchain address
Example:
"0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"
The contract template identifier
Example:
"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"
The vault account id this contract was deploy from
Example:
"0"
The blockchain base assetId
Example:
"ETH_TEST5"
The gasless configuration of the contract
Show child attributes
Show child attributes
The multichain deployment metadata
Show child attributes
Show child attributes
The Solana configuration of the contract
Show child attributes
Show child attributes
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<DeployedContractResponseDto>> = fireblocks.deployedContracts.getDeployedContractById(deployedContractsApiGetDeployedContractByIdRequest);CompletableFuture<ApiResponse<DeployedContractResponseDto>> response = fireblocks.deployedContracts().getDeployedContractById(id);response = fireblocks.deployed_contracts.get_deployed_contract_by_id(id);